View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001716aMuleMiscpublic2012-04-08 00:002012-05-12 07:46
Reportermorph 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformOSOS Version
Product Version2.3.1 
Target VersionFixed in Version 
Summary0001716: src/libs/ec/cpp/Makefile.in doesn't use standard *FLAGS for compilation
DescriptionHello,
this has been reported in Debian at: bugs.debian.org/653503

"""
The hardening flags are missing for mkFileSum.c because the build
system doesn't use them.

The attached patch fixes the issue - but I'm not sure if it's the
best way, I have no idea why the build system use BUILD_*FLAGS
variables instead of just *FLAGS. If possible it should be sent
upstream (maybe in modified form).
"""

Indeed at least all the other Makefiles uses either both BUILD_*FLAGS or just the standard CFLAGS LDFLAGS CPPFLAGS, but not the makefile for mkFileSum.c .

The patch attached simply remove BUILD_ from those flags, so that the standard flags are used (needed in Debian to pass additional compilation flags, for hardening binaries).

Cheers,
Sandro
TagsNo tags attached.
Fixed in Revision10773
Operating SystemAny
Attached Filesdiff file icon libs-use-dpkg-buildflags.diff [^] (1,103 bytes) 2012-04-08 00:00 [Show Content]

- Relationships

-  Notes
(0003625)
sturedman (developer)
2012-04-11 16:52

I committed the patch directly (the part modifying a versioned file at least).
Mind, this is just a little build helper tool we are talking about. It's not supposed to be shipped with a binary package anyway.
(0003626)
sturedman (developer)
2012-04-11 21:30

Stupid Mantis listing resolved bugs as "unassigned"
(0003627)
sturedman (developer)
2012-04-29 18:24

This patch is not only useless (mkFileSum is just a build tool), it also breaks cross compilation. See http://forum.amule.org/index.php?topic=19736 [^]

- Issue History
Date Modified Username Field Change
2012-04-08 00:00 morph New Issue
2012-04-08 00:00 morph File Added: libs-use-dpkg-buildflags.diff
2012-04-08 00:00 morph Operating System => Any
2012-04-11 16:52 sturedman Fixed in Revision => 10773
2012-04-11 16:52 sturedman Note Added: 0003625
2012-04-11 16:52 sturedman Status new => resolved
2012-04-11 16:52 sturedman Resolution open => fixed
2012-04-11 21:29 sturedman Assigned To => sturedman
2012-04-11 21:29 sturedman Status resolved => feedback
2012-04-11 21:29 sturedman Resolution fixed => reopened
2012-04-11 21:30 sturedman Note Added: 0003626
2012-04-11 21:30 sturedman Status feedback => resolved
2012-04-11 21:30 sturedman Resolution reopened => fixed
2012-04-29 18:24 sturedman Note Added: 0003627
2012-04-29 18:24 sturedman Status resolved => feedback
2012-04-29 18:24 sturedman Resolution fixed => reopened
2012-04-29 18:25 sturedman Status feedback => assigned
2012-05-12 07:42 GonoszTopi Assigned To sturedman =>
2012-05-12 07:42 GonoszTopi Status assigned => resolved
2012-05-12 07:42 GonoszTopi Resolution reopened => won't fix
2012-05-12 07:46 GonoszTopi Assigned To => sturedman


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker